### Type parameters

- #### T

### Hierarchy

- TypedPropertyDescriptor

## Index

### Properties

- configurable
- enumerable
- get
- set
- value
- writable

## Properties

### Optional configurable

configurable: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1362

### Optional enumerable

enumerable: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1361

### Optional get

get: undefined | function

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1365

### Optional set

set: undefined | function

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1366

### Optional value

value: T

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1364

### Optional writable

writable: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1363

Generated using TypeDoc